$ErrorActionPreference = 'Stop'

$fileLocation64 = 'https://github.com/Floorp-Projects/Floorp/releases/download/v11.12.2/floorp-win64.installer.exe'
$fileLocation = 'https://github.com/Floorp-Projects/Floorp/releases/download/v11.12.2/floorp-win32.installer.exe'
$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'exe'
  url         = $fileLocation
  url64         = $fileLocation64
  softwareName  = 'floorp*'
  checksum      = 'CAD40F8CC66948FFAA2213AE6EADEF6FE7D6EF106327B4F0BF48156B9E8FB754'
  checksum64      = '88DCE129709523F8F82F56A1052E136277A937AF35BE92E54BE9F9111D616060'
  checksumType  = 'sha256'
  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/S' # Inno Setup
}

Install-ChocolateyPackage @packageArgs
